Issue 120603 - [testuno]Test Create and Load Date and Time Field in Writer by UNO
[testuno]Test Create and Load Date and Time Field in Writer by UNO
Status: RESOLVED FIXED
Product: QA
Classification: Unclassified
Component: testscripts
OOO340m0
All All
: P3 normal
: 4.0.0
Assigned To: zong dong jun
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 06:08 UTC by zong dong jun
Modified: 2013-07-11 14:50 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
datetime field test class (1.18 KB, application/octet-stream)
2012-08-17 06:08 UTC, zong dong jun
no flags Details
date and time field test class (1.18 KB, patch)
2012-08-17 06:09 UTC, zong dong jun
no flags Details | Diff
date and time field test class (15.84 KB, application/octet-stream)
2012-08-17 06:14 UTC, zong dong jun
no flags Details
pach (15.84 KB, patch)
2012-08-17 06:16 UTC, zong dong jun
no flags Details | Diff
patch - remove try catch (16.21 KB, patch)
2012-08-17 07:00 UTC, zong dong jun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zong dong jun 2012-08-17 06:08:18 UTC
Created attachment 78986 [details]
datetime field test class

1.A class test date and time field
2.A method loadComponentFromURL in UNOAPP.java
Comment 1 zong dong jun 2012-08-17 06:09:14 UTC
Created attachment 78987 [details]
date and time field test class
Comment 2 zong dong jun 2012-08-17 06:14:06 UTC
Created attachment 78988 [details]
date and time field test class
Comment 3 zong dong jun 2012-08-17 06:15:11 UTC
3.SWUtil.java
Comment 4 zong dong jun 2012-08-17 06:16:01 UTC
Created attachment 78989 [details]
pach
Comment 5 SVN Robot 2012-08-17 06:34:10 UTC
"liuzhe" committed SVN revision 1374159 into trunk:
#120603# - [testuno]Test Create and Load Date and Time Field in Writer by UNO...
Comment 6 aliuzhe 2012-08-17 06:45:02 UTC
Thanks for your contribution. I has committed it at revision 1374159.
When I reviewed it, I found you catch some exceptions and ignore them. Think about the situation. A bug leads the code in try block to throw an exception, since you ignore the exception, your test will pass. That's bad.  Don't catch the exceptions. Add throws Exception to your test method declaration.
Comment 7 zong dong jun 2012-08-17 07:00:11 UTC
Created attachment 78990 [details]
patch - remove try catch

Remove try catch.
Comment 8 SVN Robot 2012-08-17 07:30:42 UTC
"liuzhe" committed SVN revision 1374165 into trunk:
#120603# - [testuno]Test Create and Load Date and Time Field in Writer by UNO...
Comment 9 Yan Ji 2012-08-19 03:54:30 UTC
This script has been comitted.